execution state
Get execution state sessionId
Requires scopes: runs:read
GET
/
api
/
execution-state
/
sessions
/
{sessionId}
Get execution state sessionId
curl --request GET \
--url https://evalgate.com/api/execution-state/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/execution-state/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/execution-state/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "active",
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"schemaVersion": 1,
"stateVersion": 123,
"privacyPolicyId": "<string>",
"workItemType": "custom",
"workItemId": "<string>",
"activeSnapshotId": "<string>",
"activeContextEpochId": "<string>",
"retentionPolicyId": "<string>",
"repositoryId": "<string>",
"objectiveVersionId": "<string>",
"completedAt": "<string>",
"objectiveId": "<string>",
"objectiveInstanceId": "<string>",
"repositorySnapshotRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
},
"repositoryGraphVersionId": "<string>",
"sourceHarnessProfileId": "<string>",
"activeHarnessProfileId": "<string>",
"activeModelCallContext": {
"provider": "<string>",
"model": "<string>",
"routingProfileId": "<string>",
"modelSnapshot": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Response
Successful response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
active Available options:
1 workItemType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>
required
Available options:
custom Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get execution state sessionId
